       subroutine qcalc(a,b,c,xi,flam,f)
*
* Also handles rates for pair, photo-, and plasma rates in Munkata etal.
* (1985) paper.
*
       implicit double precision (a-h,o-z)

       dimension a(0:2),b(3)
       top=(a(0)+a(1)*xi+a(2)*(xi**2.))*dexp(-c*xi)	
       bottom=(xi**3.)+(b(1)/flam)+(b(2)/(flam**2))+(b(3)/(flam**3))
       f=top/bottom

       return
       end

************************************************************************

